### Function

# Gtk Windowget_toplevels

#### Declaration [src]

    GListModel*
    gtk_window_get_toplevels (
      void
    )

#### Description [src]

Returns a list of all existing toplevel windows.

If you want to iterate through the list and perform actions involving callbacks that might destroy the widgets or add new ones, be aware that the list of toplevels will change and emit the “items-changed” signal.

#### Return value

Type: A list model of `GtkWindow`

The list of toplevel widgets.

The data is owned by the called function.